Subject: bug#36033: closed (Re: [bug#71862] [PATCH] gnu: Add pharo.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 30 Jul 2025 05:16:02 +0000

Your bug report

#71862: Add Smalltalk Pharo VM

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71862: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71862
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#71862] [PATCH] gnu: Add pharo.
From: Maxim Cournoyer <[email-masked]>
To: Jorge Acereda <[email-masked]>
Cc: [email-masked]
Date: Wed, 30 Jul 2025 14:15:27 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

I've use your original work as a basis for a new pharo-vm package
submission, which you can see here:
<https://codeberg.org/guix/guix/pulls/1680>.

I'm thus closing this ticket.

-- 
Thanks,
Maxim

Subject: Add Smalltalk Pharo VM
From: Brian Woodcox <[email-masked]>
To: [email-masked]
Date: Fri, 31 May 2019 13:46:50 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I have added the Pharo Smalltalk VM package with this patch.

After installing this package, a user can launch an image by executing pharos-vm in the directory that contains the pharos-vm.

To keep things consistent with the current Pharo release, I decided to use the [email-masked] and [email-masked].  If someone feels I should use the latest releases of these packages, I can submit a new patch.

Because of the way Pharo constructs the version and commit date for use internally in the Pharo VM, it is necessary to add this information to the package i.e. commit-info.

This is my first package, so go easy on me. :)

Cheers!